Subject: bug#8225: 23.3; wish: hook to run when manually creating a buffer with C-x b (be able to save all created buffers at creation time)

From: Stefan Monnier <[email-masked]>
Date: Thu, 10 Mar 2011 21:29:01 -0500

> Essentially I want to turn the manual creation of a new buffer into a
> persistent new-file creation so I as user don’t have to think about the
> target location (this is in line with basket and KJots and other quick
> note programs which make it unnecessary for the user to think about save
> locations before writing content - but still save the content).

Since internal buffers get created all the time, it seems clear you
really only want to do that in response to C-x b, right.
Or are there other cases?

One simple approach is to replace C-x b by a new command that does
little more than (find-file (format "~/.emacs.d/data/%s-%s" name date)).

        Stefan